Subject: bug#12761: bug #12761 - please do it

From: Drew Adams <[email-masked]>
Date: Tue, 13 Aug 2013 15:59:22 -0700 (PDT)

Whatever way you choose to implement it, please do font-lock
`cl-*' and `*' Common-Lisp stuff - at least all of the defining
forms (e.g., `cl-defstruct').  This should have been done as part
of the task of adding such things to Emacs.

Please also font-lock (and add to Imenu) `gv-define-setter' &
compagnie.

ALL defining forms that are part of distributed Emacs source
code should be font-locked by default.  Users should not have
to do anything to get this highlighting.

(They could conceivably be given a means to turn font-locking
off for some defining forms, but that is not something that I
would propose.)